#pragma once

/*
	GameEngine and Editor
	by John Ryland
	Copyright (c) 2023
*/

////////////////////////////////////////////////////////////////////////////////////
//	Image View

#include "Application.h"
#include "IView.h"
#include "IRenderSystem.h"

namespace GameEngine {

class ImageView : public IView
{
public:
    ImageView(ApplicationFramework::IApplication& app);

    void AddShowMenuItem() override;

    void Initialize() override;
    void Shutdown() override;
    void Update() override;

private:
    ApplicationFramework::IApplication&  m_application;
    ApplicationFramework::TextureId      m_texture;
    int                                  m_width;
    int                                  m_height;
    bool                                 m_open = true;
};

} // GameEngine namespace
